Update to WordPress 4.7.2 ASAP

By | Featured, Wordpress | No Comments

This is a quick security reminder. We have seen two WordPress core security releases during the past few weeks. The most recent one was released a few days ago. If you don’t have automatic WordPress core updates enabled on your WordPress site, you should update your site to WordPress 4.7.2 as soon as possible. It includes important security updates. If you do have automatic updates enabled, we suggest you check your site to ensure that everything is functioning correctly now that your site has updated itself. We have updated the Wordfence firewall during the past few weeks as these vulnerabilities have emerged to ensure that you are protected against them in case you have not updated yet.

Read More